Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotTrayItem

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<TrayItem>
          org.eclipse.swtbot.swt.finder.widgets.SWTBotTrayItem

    public class SWTBotTrayItem

extends AbstractSWTBot<TrayItem>

Represents a tray item.

Version:
  $Id$
Author:
  Toby Weston (Bug 259860)

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotTrayItem(TrayItem widget)` Constructs a new instance with the given widget.

Method Summary
`SWTBotMenu` | `contextMenu(String label)` Gets the context menu matching the text.
`SWTBotMenu` | `menu(String label)` Convenience API for `contextMenu(String)`

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`absoluteLocation, assertEnabled, asyncExec, backgroundColor, click, click, clickXY, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabled, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotTrayItem

    public SWTBotTrayItem(TrayItem widget)
                   throws WidgetNotFoundException

  Constructs a new instance with the given widget.

  Parameters:
    `widget` - the tray item.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

Method Detail

### contextMenu

    public SWTBotMenu contextMenu(String label)
                           throws WidgetNotFoundException

  Description copied from class: `AbstractSWTBot`
  Gets the context menu matching the text.

  Overrides:
    `contextMenu` in class `AbstractSWTBot<TrayItem>`
  Parameters:
    `label` - the text on the context menu.
  Returns:
    the menu that has the given text.
  Throws:
    `WidgetNotFoundException` - if the widget is not found.

### menu

    public SWTBotMenu menu(String label)

  Convenience API for `contextMenu(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD